moeoRouletteSelect(3)

NAME
moeoRouletteSelect - Selection strategy that selects ONE individual by using roulette wheel process.

SYNOPSIS

#include <moeoRouletteSelect.h>

Inherits moeoSelectOne< MOEOT >< MOEOT >.

  Public Member Functions
moeoRouletteSelect (moeoComparator< MOEOT > &_comparator, unsigned _tSize=2)
Full Ctor.
moeoRouletteSelect (unsigned _tSize=2)
Ctor without comparator.
const MOEOT & operator() (const eoPop< MOEOT > &_pop)
Apply the tournament to the given population.

  Protected Attributes
moeoComparator< MOEOT > & comparator
comparator
double & tSize
size

Detailed Description

  template<class MOEOT> class moeoRouletteSelect< MOEOT >
Selection strategy that selects ONE individual by using roulette wheel process.

Definition at line 23 of file moeoRouletteSelect.h.

Constructor & Destructor Documentation

  template<class MOEOT> moeoRouletteSelect< MOEOT >::moeoRouletteSelect (moeoComparator< MOEOT > & _comparator, unsigned _tSize = 2) [inline]

Full Ctor.

Parameters:
    _comparator the comparator (used to compare 2 individuals)
    _tSize the number of individuals in the tournament (default: 2)

Definition at line 33 of file moeoRouletteSelect.h.

References moeoRouletteSelect< MOEOT >::tSize.

  template<class MOEOT> moeoRouletteSelect< MOEOT >::moeoRouletteSelect (unsigned _tSize = 2) [inline]

Ctor without comparator.

A moeoFitnessThenDiversityComparator is used as default.

Parameters:
    _tSize the number of individuals in the tournament (default: 2)

Definition at line 50 of file moeoRouletteSelect.h.

References moeoRouletteSelect< MOEOT >::tSize.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.